// This modifier takes the styles prepared by the `computeStyles` modifier
// and applies them to the HTMLElements such as popper and arrow
export function applyStyles(state) {
  Object.keys(state.elements).forEach(function (name) {
    var style = state.styles.hasOwnProperty(name) ? state.styles[name] : {}; // Flow doesn't support to extend this property, but it's the most
    // effective way to apply styles to an HTMLElement
    // $FlowIgnore

    Object.assign(state.elements[name].style, style);
  });
  return state;
}
export function onDestroy(state) {
  Object.keys(state.elements).forEach(function (name) {
    var styleProperties = Object.keys(state.styles.hasOwnProperty(name) ? Object.assign({}, state.styles[name]) : {}); // Set all values to an empty string to unset them

    var style = styleProperties.reduce(function (style, property) {
      var _Object$assign;

      return Object.assign({}, style, (_Object$assign = {}, _Object$assign[String(property)] = '', _Object$assign));
    }, {}); // Flow doesn't support to extend this property, but it's the most
    // effective way to apply styles to an HTMLElement
    // $FlowIgnore

    Object.assign(state.elements[name].style, style);
  });
}
export default {
  name: 'applyStyles',
  enabled: true,
  phase: 'write',
  fn: applyStyles,
  onDestroy: onDestroy,
  requires: ['computeStyles']
};